<template>
  <div class="confirm-dialog">
    <el-dialog
      v-model="confirmVisible"
      title="Warning"
      width="90%"
      center
      @close="closeDialog"
    >
      <span>Are yout sure you want to delete this item?</span>
      <template #footer>
        <span class="dialog-footer">
          <el-button @click="closeDialog" plain>Cancel</el-button>
          <el-button plain type="success" @click="onConfirm"> OK </el-button>
        </span>
      </template>
    </el-dialog>
  </div>
</template>

<script>
export default {
  name: 'ConfirmDialog',
  props: {
    showConfirm: {
      type: Boolean,
    },
  },
  watch: {
    showConfirm(val) {
      this.confirmVisible = val;
    },
  },
  data: () => {
    return {
      confirmVisible: false,
    };
  },
  created() {
    this.confirmVisible = this.showConfirm;
  },
  methods: {
    closeDialog() {
      this.$emit('close-dialog');
    },
    onConfirm() {
      this.$emit('confirm');
    },
  },
};
</script>

<style lang="scss"></style>
